<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$floor_edit = new floor_edit();

// Run the page
$floor_edit->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$floor_edit->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var fflooredit, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "edit";
	fflooredit = currentForm = new ew.Form("fflooredit", "edit");

	// Validate form
	fflooredit.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($floor_edit->id->Required) { ?>
				elm = this.getElements("x" + infix + "_id");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $floor_edit->id->caption(), $floor_edit->id->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($floor_edit->Hostel_Name->Required) { ?>
				elm = this.getElements("x" + infix + "_Hostel_Name");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $floor_edit->Hostel_Name->caption(), $floor_edit->Hostel_Name->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($floor_edit->Floor->Required) { ?>
				elm = this.getElements("x" + infix + "_Floor");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $floor_edit->Floor->caption(), $floor_edit->Floor->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	fflooredit.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	fflooredit.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	fflooredit.lists["x_Hostel_Name"] = <?php echo $floor_edit->Hostel_Name->Lookup->toClientList($floor_edit) ?>;
	fflooredit.lists["x_Hostel_Name"].options = <?php echo JsonEncode($floor_edit->Hostel_Name->lookupOptions()) ?>;
	loadjs.done("fflooredit");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $floor_edit->showPageHeader(); ?>
<?php
$floor_edit->showMessage();
?>
<form name="fflooredit" id="fflooredit" class="<?php echo $floor_edit->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="floor">
<input type="hidden" name="action" id="action" value="update">
<input type="hidden" name="modal" value="<?php echo (int)$floor_edit->IsModal ?>">
<div class="ew-edit-div"><!-- page* -->
<?php if ($floor_edit->id->Visible) { // id ?>
	<div id="r_id" class="form-group row">
		<label id="elh_floor_id" class="<?php echo $floor_edit->LeftColumnClass ?>"><?php echo $floor_edit->id->caption() ?><?php echo $floor_edit->id->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $floor_edit->RightColumnClass ?>"><div <?php echo $floor_edit->id->cellAttributes() ?>>
<span id="el_floor_id">
<span<?php echo $floor_edit->id->viewAttributes() ?>><input type="text" readonly class="form-control-plaintext" value="<?php echo HtmlEncode(RemoveHtml($floor_edit->id->EditValue)) ?>"></span>
</span>
<input type="hidden" data-table="floor" data-field="x_id" name="x_id" id="x_id" value="<?php echo HtmlEncode($floor_edit->id->CurrentValue) ?>">
<?php echo $floor_edit->id->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($floor_edit->Hostel_Name->Visible) { // Hostel_Name ?>
	<div id="r_Hostel_Name" class="form-group row">
		<label id="elh_floor_Hostel_Name" for="x_Hostel_Name" class="<?php echo $floor_edit->LeftColumnClass ?>"><?php echo $floor_edit->Hostel_Name->caption() ?><?php echo $floor_edit->Hostel_Name->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $floor_edit->RightColumnClass ?>"><div <?php echo $floor_edit->Hostel_Name->cellAttributes() ?>>
<span id="el_floor_Hostel_Name">
<div class="input-group">
	<select class="custom-select ew-custom-select" data-table="floor" data-field="x_Hostel_Name" data-value-separator="<?php echo $floor_edit->Hostel_Name->displayValueSeparatorAttribute() ?>" id="x_Hostel_Name" name="x_Hostel_Name"<?php echo $floor_edit->Hostel_Name->editAttributes() ?>>
			<?php echo $floor_edit->Hostel_Name->selectOptionListHtml("x_Hostel_Name") ?>
		</select>
</div>
<?php echo $floor_edit->Hostel_Name->Lookup->getParamTag($floor_edit, "p_x_Hostel_Name") ?>
</span>
<?php echo $floor_edit->Hostel_Name->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($floor_edit->Floor->Visible) { // Floor ?>
	<div id="r_Floor" class="form-group row">
		<label id="elh_floor_Floor" for="x_Floor" class="<?php echo $floor_edit->LeftColumnClass ?>"><?php echo $floor_edit->Floor->caption() ?><?php echo $floor_edit->Floor->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $floor_edit->RightColumnClass ?>"><div <?php echo $floor_edit->Floor->cellAttributes() ?>>
<span id="el_floor_Floor">
<input type="text" data-table="floor" data-field="x_Floor" name="x_Floor" id="x_Floor" size="30" maxlength="25" placeholder="<?php echo HtmlEncode($floor_edit->Floor->getPlaceHolder()) ?>" value="<?php echo $floor_edit->Floor->EditValue ?>"<?php echo $floor_edit->Floor->editAttributes() ?>>
</span>
<?php echo $floor_edit->Floor->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$floor_edit->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $floor_edit->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("SaveBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $floor_edit->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$floor_edit->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$floor_edit->terminate();
?>